Autor Tópico: Revomer CrossOver completamente e reinstalar  (Lida 403 vezes)

Offline jnilson

  • Usuário Ubuntu
  • *
  • Mensagens: 27
    • Ver perfil
Revomer CrossOver completamente e reinstalar
« Online: 14 de Maio de 2018, 01:40 »
Boa noite, prezados!

Estou com um problema que ainda não encontrei uma solução, depois de pesquisar muito, tanto aqui no forum quanto pela net.

Instalei o Crossover, seguindo estes procedimentos deste link: http://www.edivaldobrito.com.br/crossover-no-linux/.

Assim está mostrando, após este comando: sudo dpkg -i crossover.deb:

(Lendo banco de dados ... 149207 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar crossover.deb ...
A descompactar crossover:i386 (17.1.0-1) sobre (17.1.0-1) ...
Configurando crossover:i386 (17.1.0-1) ...
/usr/bin/env: “python”: Arquivo ou diretório inexistente
dpkg: erro ao processar o pacote crossover:i386 (--install):
 installed crossover:i386 package post-installation script subprocess returned error exit status 127
Erros foram encontrados durante o processamento de:
 crossover:i386

Depois, executando este outro: sudo apt-get install -f:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Configurando crossover:i386 (17.1.0-1) ...
/usr/bin/env: “python”: Arquivo ou diretório inexistente
dpkg: erro ao processar o pacote crossover:i386 (--configure):
 installed crossover:i386 package post-installation script subprocess returned error exit status 127
Erros foram encontrados durante o processamento de:
 crossover:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

Aí, depois da outra opção: sudo apt install ./crossover.deb:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Note, a seleccionar 'crossover:i386' em vez de './crossover.deb'
crossover:i386 is already the newest version (17.1.0-1).
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Configurando crossover:i386 (17.1.0-1) ...
/usr/bin/env: “python”: Arquivo ou diretório inexistente
dpkg: erro ao processar o pacote crossover:i386 (--configure):
 installed crossover:i386 package post-installation script subprocess returned error exit status 127
Erros foram encontrados durante o processamento de:
 crossover:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

Daí, como deu estes erros, executei a opção de desinstalação: sudo apt-get remove crossover*:

Mostrou isso:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
E: Impossível encontrar o pacote crossover.bin
E: Couldn't find any package by glob 'crossover.bin'
E: Não foi possível encontrar o pacote através da expressão regular 'crossover.bin'
E: Impossível encontrar o pacote crossover.deb
E: Couldn't find any package by glob 'crossover.deb'
E: Não foi possível encontrar o pacote através da expressão regular 'crossover.deb'

Tentei fazer este procedimento (instalação e deinstalação) várias vezes, mas o resultado é sempre o mesmo. A questão é que aparece o ícone como se estivesse instalado, mas quando clico não acontece nada, depois de um tempo mostra a mensagem de erro na instalação.

Como consigo resolver isso?

Até reinstalei o Ubuntu, pensando ser algo corrompido... Mas está do mesmo jeito... Já pesquisei muito sobre como instalar, remover, e nada resolveu.

E o interessante que observei até quando instalei outros programas (Chrome, por exemplo), no meio dos procedimentos, aparece o erro ref ao Crossover.

Alguém poderia me ajudar nesta questão?

Desde já agradeço!!!


Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.612
    • Ver perfil
Re:Revomer CrossOver completamente e reinstalar
« Resposta #1 Online: 14 de Maio de 2018, 02:21 »
Olá jnilson, se você leu todo o tutorial do Edivaldo você vai reparar que pra instalar esse CrossOver ele exige as seguintes dependências:

python 2. 6 ou superior;
gtk2 2.24 ou superior;
python-gtk2 2,24 ou superior;
X.org com XRender e suporte GLX


Como você já descobriu o instalador tá dando erro por não ter o python que ele quer instalado. Infelizmente o dpkg não verifica se as depêndencias do pacote estão satisfeitas, ele só tenta instalar.  Dá próxima vez que for instalar um pacote .deb que você baixou "por fora" dos repositórios, tente usar o Gdebi par instalar esse pacote. Ele verifica as dependências antes de instalar. Ele avisa se as dependências estão satisfeitas e se você pode instalar tudo numa boa ou avisa que elas não estão satisfeitas e tenta instalar essas dependências antes. Se não for possível satisfazer as dependências ele avisa também, aí você não instala e te polpa muita dor de cabeça.

Mas vamos deixar dos entretantos e partir para os finalmentes!

Seu dpkg está com erro por causa da instalação não terminada!

Vamos usar um método "força bruta" pra "remover" esse programa.

No terminal:

cd /var/lib/dpkg/info/   + ENTER

Dentro deste diretório estão todas as informações dos pacotes intalados.  Procure pelos do CrossOver. Você deve encontrar três arquivos que começam com CrossOver.  Apague todos eles!  Não vai fazer mais caca aí né!  Só apague os do CrossOver!

sudo rm nome.do.pacote.*

Use o ls para verificar se você apagou tudo.

Depois de todos apagados, no terminal:

sudo dpkg --configure -a

sudo apt-get update


E veja se tudo voltou ao normal aí!

Se voltou, dá próxima usa o Gdebi!
Ubuntu  Mate 17.10 64bits

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.083
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
Re:Revomer CrossOver completamente e reinstalar
« Resposta #2 Online: 14 de Maio de 2018, 17:52 »
Lembro que alguma versão do apt dizia ter "os poderes da Super Vaca!".

Se tinha ou não, não sei; mas se vc usasse o apt-get pra instalar um pacote "deb", ele instalava automaticamente as dependências.

Faz falta, isso...
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D